Автор Тема: Обновление пакетов  (Прочитано 2365 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн vladimirse

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 35
  • Debian Stable user
Обновление пакетов
« : 15 Декабрь 2016, 21:14:09 »
Доброго времени суток!
Столкнулся вот с такой штукой после apt update:
apt update
...
3 packages can be upgraded. Run 'apt list --upgradable' to see them.

#  apt list --upgradable
Listing… Готово
libpolkit-backend-1-0/stable,stable 0.105-15~deb8u2 amd64 [upgradable from: 0.105-8]
libxatracker2/jessie-backports 12.0.4-2~bpo8+1 amd64 [upgradable from: 11.1.3-1~bpo8+1]
policykit-1/stable,stable 0.105-15~deb8u2 amd64 [upgradable from: 0.105-8]

И эти 3 пакета ни как не удается обновить. Подскажите пожалуйста как быть.
 

Оффлайн anoobis

  • Активный пользователь
  • **
  • Сообщений: 76
Re: Обновление пакетов
« Ответ #1 : 15 Декабрь 2016, 21:23:22 »
aptitude upgrade
тоже не обновляет?

 

Оффлайн vladimirse

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 35
  • Debian Stable user
Re: Обновление пакетов
« Ответ #2 : 15 Декабрь 2016, 21:27:27 »
Я вообще не использую aptitde, но ради эксперимента попробовал, не обновляет. :-(
 


Оффлайн alsoijw

  • Fedora 25 GNOME 3 amd64
  • Ветеран
  • *****
  • Сообщений: 1231
Re: Обновление пакетов
« Ответ #3 : 16 Декабрь 2016, 02:05:29 »
vladimirse, ошибку в студию.
Мало видеть нам начало - надо видеть и конец. Если видишь ты создание - значит где-то есть ТВОРЕЦ
Многие жалуются: геометрия в жизни не пригодилась. Ямб от хорея им приходится отличать ежедневно?
 

Онлайн endru

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 1818
  • Новосибирск
  • Jabber: endru@jabber.ru
Re: Обновление пакетов
« Ответ #4 : 16 Декабрь 2016, 04:25:31 »
vladimirse, ну и какими командами пользуешься для обновления?
man страницу читал?
Цитата: apt list
list is used to display a list of packages. It supports shell
pattern for matching package names and the following options:
--installed, --upgradable, --all-versions are supported.
Цитата: apt upgrade
upgrade is used to install the newest versions of all packages
currently installed on the system from the sources enumerated in
/etc/apt/sources.list. New packages will be installed, but existing
packages will never be removed.
Цитата: apt full-upgrade
full-upgrade performs the function of upgrade but may also remove
installed packages
if that is required in order to resolve a package conflict.

+ Надо смотреть sources.list, и знать настройки apt.
« Последнее редактирование: 16 Декабрь 2016, 04:28:14 от endru »
 

Оффлайн vladimirse

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 35
  • Debian Stable user
Re: Обновление пакетов
« Ответ #5 : 16 Декабрь 2016, 06:19:04 »
Ошибок ни каких нет.
cat /etc/apt/sources.list
# Debian Stable Mirror
deb http://ftp.psn.ru/debian/ stable main non-free contrib
#deb-src http://ftp.psn.ru/debian/ stable main non-free contrib
 
# Debian Experimental Mirror
deb http://ftp.psn.ru/debian/ experimental main non-free contrib
#deb-src http://ftp.psn.ru/debian/ experimental main non-free contrib
 
# Debian Security
deb http://security.debian.org/ stable/updates main contrib non-free
#deb-src http://security.debian.org/ stable/updates main contrib non-free
 
# stable-updates, previously known as 'volatile'
deb http://ftp.psn.ru/debian/ stable-updates main contrib non-free
#deb-src http://ftp.psn.ru/debian/ stable-updates main contrib non-free
 
# jessie-backports, previously on backports.debian.org
deb http://ftp.psn.ru/debian/ jessie-backports main contrib non-free
#deb-src http://ftp.psn.ru/debian/ jessie-backports main contrib non-free
 
# Debian Multimedia
# apt-get update && apt-get install deb-multimedia-keyring && apt-get update
deb http://www.deb-multimedia.org stable main non-free
deb http://www.deb-multimedia.org stable-backports main
 
# VirtualBox jessie mirror
# wget -q https://www.virtualbox.org/download/oracle_vbox.asc -O- | sudo apt-key add -
deb http://download.virtualbox.org/virtualbox/debian jessie contrib
 
# Tor Mirror
# apt-get update && apt-get install tor deb.torproject.org-keyring && apt-get update
deb http://deb.torproject.org/torproject.org stable main

# Steam
# dpkg --add-architecture i386
deb http://http.debian.net/debian/ jessie main contrib non-free

# cat /etc/apt/apt.conf
Acquire::Check-Valid-Until false;
APT::Periodic::Update-Package-Lists "1";
APT::Periodic::Unattended-Upgrade "1";
APT::Periodic::Verbose "2";
APT::Install-Recommends "0";
APT::Install-Suggests "0";

apt-get update
...
Получено 1 775 kБ за 4с (421 kБ/c)
Чтение списков пакетов… Готово

# apt-get upgrade
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Расчёт обновлений…Готово
Пакеты, которые будут оставлены в неизменном виде:
  libpolkit-backend-1-0 libxatracker2 policykit-1
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 3 пакетов не обновлено.

# apt-get dist-upgrade
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Расчёт обновлений…Готово
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.

# apt-get -f install
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 3 пакетов не обновлено.

# apt update
...
3 packages can be upgraded. Run 'apt list --upgradable' to see them.

 # apt list --upgradable
Listing… Готово
libpolkit-backend-1-0/stable,stable 0.105-15~deb8u2 amd64 [upgradable from: 0.105-8]
libxatracker2/jessie-backports 12.0.4-2~bpo8+1 amd64 [upgradable from: 11.1.3-1~bpo8+1]
policykit-1/stable,stable 0.105-15~deb8u2 amd64 [upgradable from: 0.105-8]

# apt full-upgrade
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Расчёт обновлений…Готово
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.

В общем как то так. Просто пишет, что есть пакеты, которые необходимо обновить, но ни как не хочет их обновлять.
 

Оффлайн ogost

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 2932
  • Linux Registered User #547151
Re: Обновление пакетов
« Ответ #6 : 16 Декабрь 2016, 07:12:47 »
каша в сырцах. неудивительно.
 # apt list --upgradable
Listing… Готово
libpolkit-backend-1-0/stable,stable 0.105-15~deb8u2 amd64 [upgradable from: 0.105-8]
libxatracker2/jessie-backports 12.0.4-2~bpo8+1 amd64 [upgradable from: 11.1.3-1~bpo8+1]
policykit-1/stable,stable 0.105-15~deb8u2 amd64 [upgradable from: 0.105-8]
судя по этому один пакет хочет обновиться из backports, два из stable. попробуйте обновиться из backports

Оффлайн vladimirse

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 35
  • Debian Stable user
Re: Обновление пакетов
« Ответ #7 : 16 Декабрь 2016, 08:21:16 »
каша в сырцах. неудивительно.

Что вы подразумеваете под кашей?

удя по этому один пакет хочет обновиться из backports, два из stable. попробуйте обновиться из backports

Попробую дома вечером.

Удивительно то, что у меня 3 абсолютно одинаковые системы, установленные и настроенные по шаблону, с одинаковым набором ПО и файлами конфигурации.
Обновляются день в день, но только на одной из систем произошел такой казус.
Подобное случалось на testing, но как то само рассасывалось после очередного обновления.
 

Оффлайн ogost

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 2932
  • Linux Registered User #547151
Re: Обновление пакетов
« Ответ #8 : 16 Декабрь 2016, 08:31:25 »
У вас подключена экспериментальная ветка, плюс ещё две сторонние. Раз речь идет о policykit, предположительно трабла именно из-за экспериментальной ветки.

Оффлайн vladimirse

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 35
  • Debian Stable user
Re: Обновление пакетов
« Ответ #9 : 16 Декабрь 2016, 08:39:52 »
Автоматически пакеты не ставятся из экспериментальной ветки, так и не обновляются от туда если руками не указать.
policykit тем более я бы от туда не стал ставить! Ну и видно из поста выше, что policykit из stable и обновиться хочет от туда же.
libxatracker2 прилетел из бекпортов вместе с ядром, именно из за более свежих ядер я держу бекпорты.
 

Онлайн qupl

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 4630
  • memento mori
  • Jabber: qupl@jabber.ru
Re: Обновление пакетов
« Ответ #10 : 16 Декабрь 2016, 08:47:59 »
vladimirse, а с чего решили, что есть какая-то ошибка? Пишет, что могут быть обновлены 3 пакета. В системе есть пакеты как из основного репозитория так и из бэкпортов, автоматом оно не может часть пакетов обновить, потому что они конфликтуют по версиям. Решаете для себя какие версии нужны - ставите их если это возможно.
После установки из backports любого пакета, о всегда гладком автоматическом обновлении (без предупреждений, а возможно и ошибок) можно забыть. Это очевидно.
 
Пользователи, которые поблагодарили этот пост: ferum, vladimirse

Оффлайн vladimirse

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 35
  • Debian Stable user
Re: Обновление пакетов
« Ответ #11 : 16 Декабрь 2016, 09:12:33 »
vladimirse, а с чего решили, что есть какая-то ошибка? Пишет, что могут быть обновлены 3 пакета. В системе есть пакеты как из основного репозитория так и из бэкпортов, автоматом оно не может часть пакетов обновить, потому что они конфликтуют по версиям. Решаете для себя какие версии нужны - ставите их если это возможно.
После установки из backports любого пакета, о всегда гладком автоматическом обновлении (без предупреждений, а возможно и ошибок) можно забыть. Это очевидно.

Дак а я разве где то писал про ошибку? :-)
Просто хочу уточнить как жить с подобными ситуациями, ведь они не так часто возникают, являются ли они нормальными и как их "разруливать".
К стате, бекпорты по умолчанию включены в убунте, но подобных проблем там не встречалось. Как это там решается?
 

Онлайн qupl

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 4630
  • memento mori
  • Jabber: qupl@jabber.ru
Re: Обновление пакетов
« Ответ #12 : 16 Декабрь 2016, 09:28:01 »
vladimirse, ошибок нет, а проблема есть? :) Значит и проблем нет, так в бубне и живут: как скривилось - так пусть и стоит.
Разруливать руками, раз уж встали на скользкую дорожку ручного управления источниками для обновления. В данном конкретном случае - поднять руку, потом резко опустить и про себя сказать "ну и овощ с ним". Проблемы решать по мере их поступления - когда это начнет влиять на работу системы.

Оффлайн vladimirse

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 35
  • Debian Stable user
Re: Обновление пакетов
« Ответ #13 : 16 Декабрь 2016, 09:55:48 »
vladimirse, ошибок нет, а проблема есть? :) Значит и проблем нет, так в бубне и живут: как скривилось - так пусть и стоит.
Разруливать руками, раз уж встали на скользкую дорожку ручного управления источниками для обновления. В данном конкретном случае - поднять руку, потом резко опустить и про себя сказать "ну и овощ с ним". Проблемы решать по мере их поступления - когда это начнет влиять на работу системы.

Ясно, понятно, спасибо! :-)
 

Теги:
 

Периодическое обновление Debian, вместо установки новой версии (Rolling Release)

Автор Dmitry1

Ответов: 34
Просмотров: 5633
Последний ответ 22 Январь 2016, 18:48:43
от vovan--vovan
Обновление системы с Jessie до Stretch

Автор Лесьяр

Ответов: 10
Просмотров: 1543
Последний ответ 11 Февраль 2018, 13:43:28
от yoric
Обновление системы

Автор Извращенец

Ответов: 21
Просмотров: 2452
Последний ответ 14 Март 2011, 17:14:00
от Максимыч
Обновление Antix

Автор Albert

Ответов: 15
Просмотров: 937
Последний ответ 15 Апрель 2019, 22:44:11
от ferum
[РЕШЕНО] Обновление системы,проблема.

Автор cohiba

Ответов: 8
Просмотров: 2088
Последний ответ 09 Июль 2012, 15:22:22
от 3a72